Bug 145743 - [PATCH] www/oops: fix pkg-plist to delete directories installed out of PREFIX (on /var)
[PATCH] www/oops: fix pkg-plist to delete directories installed out of PREFIX...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sahil Tandon
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-16 04:20 UTC by Sahil Tandon
Modified: 2010-05-17 03:40 UTC (History)
1 user (show)

See Also:


Attachments
oops.diff (502 bytes, patch)
2010-04-16 04:20 UTC, Sahil Tandon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sahil Tandon freebsd_committer 2010-04-16 04:20:01 UTC
- Fix pkg-plist to delete directories installed out of PREFIX (on /var)

How-To-Repeat: - Install www/oops and then deinstall it; notice that /var/log/oops and /var/run/oops directories are not cleaned up.  This is because the @dirrmtry macro prepends PREFIX to its arguments; therefore, we need to reset PREFIX to '/' with @cwd for the @dirrmtry macro to work properly towards the end of the pkg-plist.
Comment 1 Edwin Groothuis freebsd_committer 2010-04-16 04:20:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marck

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Morozovsky freebsd_committer 2010-04-16 14:40:29 UTC
Responsible Changed
From-To: marck->freebsd-ports-bugs

Maintainer approval, please commit.
Comment 3 Sahil Tandon freebsd_committer 2010-04-17 02:26:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

take
Comment 4 dfilter freebsd_committer 2010-05-17 03:30:31 UTC
sahil       2010-05-17 02:30:22 UTC

  FreeBSD ports repository

  Modified files:
    www/oops             pkg-plist 
  Log:
  - Fix pkg-plist to delete directories installed out of PREFIX (on /var)
  
  PR:             ports/145743
  Submitted by:   sahil@ (myself)
  Approved by:    marck@ (maintainer), itetcu@ (mentor)
  
  Revision  Changes    Path
  1.11      +1 -0      ports/www/oops/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Sahil Tandon freebsd_committer 2010-05-17 03:30:40 UTC
State Changed
From-To: open->closed

Committed. Thanks!